1. NonSecure
Corpayss
  • Acquirer
    • Merchant
      • Create Merchant
      • Get Merchant
      • Update Merchant
      • Search Merchant
    • Terminal
      • Create Terminal
      • Get Terminal
      • Update Terminal
      • Search Terminal
    • Deprecated - Commission Profile
      • Create Commission Profile
      • Get Commission Profile
      • Update Commission Profile
      • Delete Commission Profile
    • Pos Authorization Profile
      • Create Pos Authorization Profile
      • Get Pos Authorization Profile
      • Update Pos Authorization Profile
      • Delete Pos Authorization Profile
    • Pos Fee Profile
      • Create Pos Fee Profile
      • Get Pos Fee Profile
      • Update Pos Fee Profile
      • Delete Pos Fee Profile
    • Create Merchant and Terminal
      POST
    • Get Merchant Payment Summary
      GET
    • Get Merchant Payment Detail
      GET
    • Get Pos Batch Summary
      GET
    • Get Pos Batch Detail
      GET
    • Close Pos Batch
      POST
  • Issuer
    • Customer
      • Create Customer
      • Get Customer Info
      • Get Card Customer Info
      • Update Customer
      • Update Customer Limit
    • Card
      • Creation & Registration
        • Create Credit Card
        • Create Debit Card
        • Create Prepaid Card
        • Create Emboss Directive
        • Register Card
      • Information & Status Management
        • Get Card Info
        • Get Card Status
        • Get Host Balance
        • Update Card Limit
        • Update Card Status
        • Update Card Fee Status
      • Transactions & Balance Operations
        • Get Card Transactions
        • Send Transaction
        • Load Card Balance
        • Card To Card Balance Transfer
        • Money Send
      • Security & Authentication
        • Verify Card
        • Get Card Pin
        • Send PIN By SMS
        • Check Pin
        • Change Card Pin
        • Reset Cvv 2 Retry Count
        • Change 3DS Password
      • Maintenance & Restrictions
        • Get Card Restriction
        • Card Restriction
        • Card Renewal
      • Tokenization
        • Tokenize Card No
      • Deprecated
        • Get Card Balance Loading Limit
        • Get Card No
        • Get Card Private Info
  • VPOS
    • 3DS Transaction
      • ThreeD - Sale
      • ThreeD - Pre Sale
      • ThreeD - Complete 3DS Payment
    • NonSecure
      • Batch Close
        POST
      • Payment Sale
        POST
      • Installment Inquiry
        POST
      • Point Inquiry
        POST
      • Payment Pre Sale
        POST
      • Payment Post Sale
        POST
      • Payment Void
        POST
      • Payment Refund
        POST
    • QR Transaction
      • QR Payment CreateQr
    • Inquiry
      • Chek ByToken
      • Check By Order ID
      • Chek By Process ID
      • List By Order ID
    • Order
      • Create Order 3D
      • Create Order
    • Recurring
      • Create Recurring
      • Get Recurring
      • Update Recurring
      • Cancel Recurring
  1. NonSecure

Payment Pre Sale

POST
/api/Payment/PreSale

Request

Header Params

Body Params application/json

Example
{
    "orderId": "{{$timestamp}}",
    "cardNo": "5265448007549389",
    "expiry": 2906,
    "cvv2": "401",
    "amount": 211,
    "currency": 978,
    "ecommerceTxnType": 1,
    "txnInitiationType": 0,
    "cardHolderIp": "Passenger Van",
    "merchantIp": "c5e3:9521:47af:deed:e5fc:d7e3:4dfd:d6fe",
    "subMerchantIp": "121.80.188.149",
    "additionalInfo": "cillum Excepteur qui",
    "invoiceInfo": "sint proident",
    "identificationNumber": "1"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://vpospayment.corpayss.net/api/Payment/PreSale' \
--header 'x_client_token: 385cd69c-d76b-4dc7-827a-5663465f01ba' \
--header 'Accept-Language: EN' \
--header 'Content-Type: application/json' \
--data-raw '{
    "orderId": "{{$timestamp}}",
    "cardNo": "5265448007549389",
    "expiry": 2906,
    "cvv2": "401",
    "amount": 211,
    "currency": 978,
    "ecommerceTxnType": 1,
    "txnInitiationType": 0,
    "cardHolderIp": "Passenger Van",
    "merchantIp": "c5e3:9521:47af:deed:e5fc:d7e3:4dfd:d6fe",
    "subMerchantIp": "121.80.188.149",
    "additionalInfo": "cillum Excepteur qui",
    "invoiceInfo": "sint proident",
    "identificationNumber": "1"
}'

Responses

🟢200OK
application/json
Success
Body

Example
{}
Modified at 2026-04-14 11:06:19
Previous
Point Inquiry
Next
Payment Post Sale
Built with